Bug 142999 - Backspace key is not properly mapped
Backspace key is not properly mapped
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vte (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-15 12:17 EST by Brad Smith
Modified: 2015-03-03 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:26:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2004-12-15 12:17:58 EST
Description of problem:
According to mutt's builtin help ('?'), the backspace key should
scroll up one line. Instead, the user gets a "key not mapped" error.

Version-Release number of selected component (if applicable):
1.4.1i

How reproducible:
Always

Steps to Reproduce:
1.Open mutt and view an email
2.Press the Backspace key
  
Actual results:
Key Not Bound

Expected results:
Scroll up one line

Additional info:
Enter still works as expected (scroll down one line)
Comment 1 Bill Nottingham 2004-12-15 17:05:49 EST
Backspace is *probably* generating delete. Under what sort of terminal
is this?
Comment 2 Brad Smith 2004-12-15 17:20:58 EST
$TERM is xterm. I'm using gnome-terminal with the default settings.
Comment 3 Bill Nottingham 2004-12-15 17:27:09 EST
What is 'backspace key generates' set to in your profile (see:
Compatibility)
Comment 4 Brad Smith 2004-12-15 17:35:25 EST
It was indeed set to "ASCII DEL", but since I hadn't changed this
setting I assume it's a RHEL4 default. Setting it to ^H causes mutt to
work as expected. I guess this is something that needs to be sorted
out with the gnome-terminal maintainer. 
Comment 5 Patrice Guay 2005-03-22 16:29:03 EST
I had the same problem while using emacs and vim from the console. In emacs,
backspace == delete. In vim, backspace is producing two white space.
Comment 6 Jiri Pallich 2012-06-20 09:26:20 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.